summaryrefslogtreecommitdiff
path: root/debian/replace_thumbnailer.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/replace_thumbnailer.sh')
-rwxr-xr-xdebian/replace_thumbnailer.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/replace_thumbnailer.sh b/debian/replace_thumbnailer.sh
new file mode 100755
index 0000000..d70dec0
--- /dev/null
+++ b/debian/replace_thumbnailer.sh
@@ -0,0 +1,21 @@
+#! /bin/bash
+
+if [ -e /usr/lib/shotwell-video-thumbnailer.org ] ; then
+ echo ' /usr/lib/shotwell-video-thumbnailer.org exists!'
+ echo ' break'
+ exit 1
+fi
+
+echo '**** backup ****'
+mv /usr/lib/shotwell-video-thumbnailer /usr/lib/shotwell-video-thumbnailer.org
+
+echo '**** install ffmpegthumbnailer ****'
+apt-get install ffmpegthumbnailer -y
+
+echo '**** install new file ****'
+touch /usr/lib/shotwell-video-thumbnailer
+chmod --reference=/usr/lib/shotwell-video-thumbnailer.org /usr/lib/shotwell-video-thumbnailer
+
+echo '#! /bin/bash' >/usr/lib/shotwell-video-thumbnailer
+echo '' >>/usr/lib/shotwell-video-thumbnailer
+echo 'ffmpegthumbnailer -i "$1" -o - -c png' >>/usr/lib/shotwell-video-thumbnailer